import logging
import transaction

from plone import api

from sixfeetup.utils import helpers

logger = logging.getLogger('retrans.poi.upgrades')


def remove_reason_responsible_indexes(context):
    helpers.runMigrationProfile(
        'profile-retrans.poi:remove_reason_responsible_indexes')


def reindex_searchabletext(context):
    """reindex the objects to update
       the searchable text
    """
    issues = api.content.find(portal_type="Issue")
    for issue in issues:
        obj = issue.getObject()
        obj.reindexObject()
        transaction.commit()


def update_security_settings(context=None):
    portal = api.portal.get()
    wf_tool = api.portal.get_tool('portal_workflow')
    wf_tool.updateRoleMappings()


def add_webhook_token(context):
    helpers.runMigrationProfile(
        'profile-retrans.poi:add_webhook_token')
